# Points Transfers
source: https://developer.mastercard.com/points-activity-service/documentation/use-cases/rewards-points-transfers/index.md

This use case is used to allow a consumer to transfer points to another account holder to cover a large or shared redemption item.

## Pre-requisites {#pre-requisites}

Following are the pre-requisites for the customer to use this endpoint:

Read and understood the [Payload Encryption](https://developer.mastercard.com/platform/documentation/security-and-authentication/securing-sensitive-data-using-payload-encryption/) guide for secure data communication with the API. The Points Activity Service is using [JWE Encryption](https://developer.mastercard.com/platform/documentation/security-and-authentication/securing-sensitive-data-using-payload-encryption/#jwe-encryption) to encrypt the payload. To understand how to encrypt a request object, refer to the [Integration and Testing](https://developer.mastercard.com/points-activity-service/tutorial/api-testing/) tutorial.

## Sequence Diagram {#sequence-diagram}

Diagram rewards-points-transfers

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer signs into the issuer's app.
2. The customer authenticates the consumer.
3. The customer sends an encrypted request to the Points Activity Service for points transfer.
   * The request for points transfer requires the following mandatory input parameters:
     * fromBankAccountNumber
     * toBankAccountNumber
     * pointsToTransfer
     * transferTypeCode
     * transferReason
     * adjustedBy
4. Mastercard API Gateway authenticates/authorizes the customer and routes the request to the Points Activity Service in the case of a valid customer.
5. The Points Activity Service validates the encrypted request received via the `/points-transfers` endpoint.
6. The Points Activity Service performs points transfer.
7. The Points Activity Service sends a response with the number of points transferred (200).
8. The Points Activity Service sends a response with a status code of 4xx/5xx in case of an invalid request.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

### Endpoint {#endpoint}


API Reference: `GET /points-transfers`

Note: For more information about the error codes, refer to the [Code and Formats](https://developer.mastercard.com/points-activity-service/documentation/code-and-formats/index.md) section.
